---
title: Create Zone Hold
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Zones](https://developers.cloudflare.com/api/python/resources/zones)

[Holds](https://developers.cloudflare.com/api/python/resources/zones/subresources/holds)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create Zone Hold

zones.holds.create(HoldCreateParams\*\*kwargs) -> [ZoneHold](<https://developers.cloudflare.com/api/python/resources/zones#(resource)%20zones.holds%20%3E%20(model)%20zone_hold%20%3E%20(schema)>)

POST/zones/{zone\_id}/hold

Enforce a zone hold on the zone, blocking the creation and activation of zones with this zone’s hostname. Zone holds cannot be enabled on CDN-only zones.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Write`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20zones.holds%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

include\_subdomains: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/zones/subresources/holds/methods/create#(resource)%20zones.holds%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20include_subdomains%20%3E%20(schema)>)]

If provided, the zone hold will extend to block any subdomain of the given zone, as well as SSL4SaaS Custom Hostnames. For example, a zone hold on a zone with the hostname ‘example.com’ and include\_subdomains=true will block ‘example.com’, ‘staging.example.com’, ‘api.staging.example.com’, etc.

[Link to this property](<#(resource)%20zones.holds%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20include_subdomains%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ZoneHold: …

</summary>

hold: Optional\[bool]

<a href="#(resource)%20zones.holds%20%3E%20(model)%20zone_hold%20%3E%20(schema)%20%3E%20(property)%20hold">Link to this property</a>

hold\_after: Optional\[str]

<a href="#(resource)%20zones.holds%20%3E%20(model)%20zone_hold%20%3E%20(schema)%20%3E%20(property)%20hold_after">Link to this property</a>

include\_subdomains: Optional\[str]

<a href="#(resource)%20zones.holds%20%3E%20(model)%20zone_hold%20%3E%20(schema)%20%3E%20(property)%20include_subdomains">Link to this property</a>

</details>

[Link to this property](<#(resource)%20zones.holds%20%3E%20(model)%20zone_hold%20%3E%20(schema)>)

### Create Zone Hold

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
zone_hold = client.zones.holds.create(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(zone_hold.hold)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "hold": true,
    "hold_after": "2023-01-31T15:56:36Z",
    "include_subdomains": "include_subdomains"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "hold": true,
    "hold_after": "2023-01-31T15:56:36Z",
    "include_subdomains": "include_subdomains"
  },
  "success": true
}
```